在启动 move_base 节点时,map_server 警告。

我使用导航栈、map_server和amcl栈来执行move_base。在进行轨迹规划之前,我使用hector_slam堆栈做了一个开环SLAM,并从map_server中保存了我想要的分辨率和大小的地图。然而,当我调用地图服务加载这张地图后,我得到了一个讨厌的警告,即

Using deprecated map server interface. please switch to new interface.

为什么我会出现这个问题?

解决方案:

你使用的是旧的 map_server 介面,它是 map_server <map> <resolution>. 新的界面是 map_server <map.yaml>,您可以查看 map.yaml 格式在 map_server wiki.

给TA打赏
共{{data.count}}人
人已打赏
未分类

Xamarin.Android - 可以在Visual Studio 2019 Android UI设计器中设置你的自定义主题吗?

2022-9-8 13:23:38

未分类

翩翩编辑SharedPreferences中的Json数据。

2022-9-8 13:34:28

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索